Upgrade 3.1E to 3.2E

Discussion in 'Wii - Hacking' started by Woggle, May 17, 2009.

May 17, 2009

Upgrade 3.1E to 3.2E by Woggle at 9:40 PM (1,961 Views / 0 Likes) 13 replies

  1. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Hi all, new to the forums and had a look at what's aorund but couldn't find anything helpful so have started this thread.

    Firstly I am using a Pal wii with firmware 3.1e, softmodded. hbc installed using gamma backup launcher & wad manager, cios 249

    I've been attempting to upgrade my firmware to 3.2e so I can use virtual console games without an internet connection for wii (don't have the bits I need to connect. When installing the wads some ask for my pin when starting the game channel then go to black screen & I have to unplug wii to restart. Assumed this was due to firmware so wanna upgrade to, what I've read, is the best for vc & homebrew. If I don't need to upgrade please let me know what I do need to do.

    I have the files IOS30-64-v1040.wad & systemmenu-v290.wad on Sandisk SD Card. However when I run Wad Manager 1.3 it does not show systemmenu-v290.wad in the list even though it's definitely on the card with other wads. All others appear. When I scroll down to bottom of list then press down again I get the following error

    Exception (DSI) Occurred
    GPR00 then 8 digit hexadecimal number through to GPR31
    then LR or B SRR0 SRR1 MSR all with hexadecimal codes
    then DAR or B D68SR all with hexadecimal codes

    8000e068 --> 80016cbc --> 8002cc8c --> 8002cc28

    Code Dump
    8000e068: 8C030001 2F800000 409EFFF8 7C6A1850
    8000c078: 4E800020 2c050000 38000000 41820098
    8000e088: 418200a4 3d808005 7ca903a6 b0ccbf34

    I've had this error once before when trying to install HBC as a channel but didn't think anything of it, just gave up on that as is not much of an issue.
    Any ideas anyone?

    Also are the two files all I need to upgrade my system or are there more ios or cios that I need?
     
  2. manias

    Member manias GBAtemp Maniac

    Joined:
    Aug 7, 2007
    Messages:
    1,258
    Country:
    Netherlands
    why don't you just get a game with 3.2 on it and run that?
     
  3. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Can't afford new game at the moment and don't know anyone with game update 3.2 on it.
    Have Mario Kart but has 3.1 update not 3.2
     
  4. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Ok, have successfully upgraded to 3.2e. Wad manager was the problem. It would only allow me to see 6 or 7 wads, if you tried to view any more it would crash & lock the wii. However this hasn't fixed the problem with the vc games. Will post in approriate section for that tho.
     
  5. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,283
    Country:
    Netherlands
    You could also take the next step and upgrade to 4.0
    If you've installed the cios and hbc and then update using waninkoko's 4.0 updater and then install the patched ios60, you'll have a cool 4.0 system that's fully homebrew enabled. Then you can use the sd menu for better vc/wiiware management.

    before doing all of that however, I would recommend you to make a backup of your 3.2 nand with bootmii
     
  6. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    Because no game contains the 3.2 update.

    Do you know if you have IOS37 installed? If not, try installing that.
     
  7. steve-p

    Member steve-p GBAtemp Advanced Fan

    Joined:
    Apr 13, 2009
    Messages:
    503
    Country:
    United Kingdom
    there are 4 versions of 3.1, it's good to make sure you have v4 first - then install ios30,
    install the 3.2 sysmenu last.

    3.1 v4 is on samba de amigo.
     
  8. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Don't have IOS37, what's the benefit of having it?

    Considering going to 4.0 but think I'm gonna wait a bit to sort out hdd for USB loader.

    Anyone got ideas bout channels that aren't working. VC injected (unreleased so far) all request my pin to access then fade to black & lock up the wii. Tried it with Uniracers, Mario All Stars & Killer INstinct. Used freethewads to make them region free & pal but both have done nothing.
     
  9. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    Some VC/WiiWare games require IOS37. Note that this may not work because the games might be using another IOS.
     
  10. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Installed IOS37 but no luck.

    Can you suggest any other IOS that I might need to install for VC channels. Used anytitledeleter to look at channels & all claim to use IOS9.

    Know that I already have the following IOS
    249 v7
    4, 9, 11, 12, 13, 14, 15, 17
    20, 21 ,30, 31 ,33, 34, 35, 36, 37

    This is just off the top of my head tho so could have a couple of others but no higher than 37 (except 249 of course)
     
  11. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    From the list you gave, IOS22 and IOS28 were left out. Check if they're installed or not.

    The IOSes above IOS37 are IOS38, IOS50, IOS51, IOS53, IOS55, IOS56, IOS60, and IOS61.
     
  12. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Thanx, will give those a try. But before I do are they all ok to install on firmware 3.2e as I've seen ios60 mentioned alot with firmware 4.0?
     
  13. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Checked IOS & have got 22 & 28 installed already.

    Been hunting around for the IOS files but can only find 51, for shopping channel I think, & 60 for firmware v4. Can anyone point me in the direction of the others?
     
  14. Woggle
    OP

    Newcomer Woggle Member

    Joined:
    May 17, 2009
    Messages:
    23
    Country:
    United Kingdom
    Anyone give me a hand?
     

Share This Page